at.chipkarte.client.vdas.soap

## Class VersichertendatenAbfrageErgebnis

- Object
- - at.chipkarte.client.vdas.soap.VersichertendatenAbfrageErgebnis

-     public class VersichertendatenAbfrageErgebnis
      extends Object

  Enthält das Ergebnis einer positiv durchgeführten Versichertendatenabfrage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersichertendatenAbfrageErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Anspruchsdaten[]` | `getAnspruchsDaten()` Liste aller Ansprüche (eigene beziehungsweise abgeleitete) eines Patienten.
    `String` | `getFotoInformation()` Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
    `String` | `getVdasId()` Eindeutiges Kennzeichen einer VDAS-Abfrage.
    `Integer[]` | `getVdasMessageCodes()` Zusätzliche Informationen im Falle einer positiv durchgeführten Versichertendatenabfrage.
    `VersichertendatenSvPerson` | `getVersichertenDaten()` Daten zum Patienten, von dem die Versichertendaten abgefragt wurden.
    `void` | `setAnspruchsDaten(Anspruchsdaten[] anspruchsDaten)`
    `void` | `setFotoInformation(String fotoInformation)`
    `void` | `setVdasId(String vdasId)`
    `void` | `setVdasMessageCodes(Integer[] vdasMessageCodes)`
    `void` | `setVersichertenDaten(VersichertendatenSvPerson versichertenDaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersichertendatenAbfrageErgebnis

          public VersichertendatenAbfrageErgebnis()

  - ### Method Detail

    - #### getVersichertenDaten

          public VersichertendatenSvPerson getVersichertenDaten()

      Daten zum Patienten, von dem die Versichertendaten abgefragt wurden.
      Returns:
        Versichertendaten

    - #### getVdasMessageCodes

          public Integer[] getVdasMessageCodes()

      Zusätzliche Informationen im Falle einer positiv durchgeführten Versichertendatenabfrage.
      Mögliche Werte siehe `VdasMessage`
      Returns:
        Zusatzinformation

    - #### getAnspruchsDaten

          public Anspruchsdaten[] getAnspruchsDaten()

      Liste aller Ansprüche (eigene beziehungsweise abgeleitete) eines Patienten. Bei Eindeutigkeit der abgefragten Versichertendaten enthält die Liste genau ein Element.
      Returns:
        Anspruchsdaten

    - #### getVdasId

          public String getVdasId()

      Eindeutiges Kennzeichen einer VDAS-Abfrage.
      Returns:
        12-stelliger String

    - #### getFotoInformation

          public String getFotoInformation()

      Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
      Format: maximal 160 stellig
      Returns:
        Foto-Information

    - #### setVersichertenDaten

          public void setVersichertenDaten(VersichertendatenSvPerson versichertenDaten)

    - #### setVdasMessageCodes

          public void setVdasMessageCodes(Integer[] vdasMessageCodes)

    - #### setAnspruchsDaten

          public void setAnspruchsDaten(Anspruchsdaten[] anspruchsDaten)

    - #### setVdasId

          public void setVdasId(String vdasId)

    - #### setFotoInformation

          public void setFotoInformation(String fotoInformation)